Home

Welcome to ndxCards™

Welcome to ndxCards™ - Your personal knowledge store. An easy to use note card system that lets you write any kind of notes quickly, retrieve it later when you need it and use the notes productively.

Learn more about:
  • Adding information to the repository

  • Finding the information

  • Using the information


ndxCards™ Overview

Adding information

ndxCards™ uses the idea of a small note card to write a brief note - about an idea, something read/ heard, some boilerplate text, code snippet, recipe, etc.- about anything one would like to retain and reuse. This note card can then be associated with a subject and as many keywords as one thinks fit. If the information on the card is from a source (book, journal, etc.) that information can be noted down. ndxCards™ keeps it all organized. Once installed, the software is always available at the click of the mouse or a 'hot-key'.

Finding information

Finding the note again is easy using the built in filtering capability to search for card or cards that meet specific criteria - e.g. all note cards with keywords 'Company X', 'supply chain', 'working capital'. You can also mark a particular card with a pushpin to bring it back quickly with a keystroke or mouse click.

Using the information

The strength of ndxCards™ is its ability to interact well with standard 'office' software to make the contents of the notes useful. Contents of one or more notes can directly be pasted into a program such as MSWord, or Excel, or Wordpad. Any formatting information (bold, italics, etc.) in the original note is also transferred. You can highlight a set of note cards from the list of notes and copy/paste the contents as a set without opening each note card. The note cards in ndxCards™ can be pasted visually on to a PowerPoint or Visio document. Now these cards can be organized and analyzed visually, drawing links between the cards and inferring relationships. An ndxCards™ note card is an 'object' recognized by such programs as having a visual representation and a link to the original note card. The picture drawn in PowerPoint still retains the details from the original note card, including references to any source.

ndxCards™ comes with the ability to structure and organize a set of note cards into a 'project'. Projects are a way for you to group related note cards, and remember the relationships. A project can also be a precursor to writing a paper (a report, a brief, a proposal, etc.) or making a presentation. The outline for a paper can be prepared and note cards inserted into that outline. Note cards can be rearranged, and the final 'project' can be exported into a draft document readable by a word processor for editing and completion. ndxCards™ can also include a bibliography / reference list at the end of the paper based on the source information on the note cards.

Sharing and collaboration

ndxCards™ enables you to pack a 'deck' of cards and send it to another person who also has the software - who can then make it part of their knowledge store. Work groups can collaborate on projects using the shared knowledge.


Enhance productivity

ndxCards™ - Enhance productivity

ndxCards™ is designed so that the software can be customized to meet specific needs, and can make using note card information easier.

Professional office worker

The basic design of ndxCards™ note card directly addresses the needs of a typical office professional. User feedback has guided the various user interface features with a focus on ease of use. Data fields, such as keywords or subjects, automatically complete as text is entered. New note cards come up with pre-filled note type, subject, and date information so that you can quickly enter the note text. (The choices for pre-fill fields can be customized.) There is a hot-key to quickly start a new note with text copied from other programs and a hot-key to bring up notes marked for quick retrieval. (These hot-keys can be customized as well.)

Student, academic, researcher

ndxCards™ includes the note types 'Paraphrase', 'Summary', 'Quotation' which were designed with the needs of the academic in mind. Each of these note cards is supported by source and author cards to store information about the sources.

Information about the sources can be gathered for bibliography or for further research, e.g. select all notes that have the Harvard Business Review (HBR) as the source and prepare a list to write to HBR to get reprints of the articles referred.

Sales and sales support staff

Selling techniques such as espoused by Neil Rakham's book "SPIN Selling" emphasize relating 'solutions' sold to 'problems' that the customer has. ndxCards™ can help gather customer problems or 'pain's and analyze them relating to offered 'products' or 'solutions'. Sales and support staff can collaborate sharing note cards and documents that have note cards embedded in them.

ndxCards™ has added custom note card types to support such a strategic selling approach.

Work groups and project teams

Work groups and project teams (especially those whose members may not be collocated) can have specific note card types for tasks, achievements, issues, etc. and share such information. These cards become part of the project knowledge repository. Status reports and issues lists can be quickly generated without much additional administrative overhead.

Software developer, systems professional

ndxCards™ is ideally suited for the computer systems and software professional. Custom cards can be crafted to hold code snippets organized by purpose, language, features etc., and collections can be directly inserted into software development environment.


Key features

ndxCards™ Key features

ndxCards™ is packed with features to make you more productive.

Currently the software comes in two configurations – Academic and Professional, each with its unique cards and supporting features. The software can also be adapted / customized to meet specific needs. Custom features include additional note card types, other features such as integration with internal applications, company logos or branding. Please contact info@ndxcards.com directly for further information.

Feature | Academic | Professional | Custom
Icon in system tray – new note at a mouse click or a hot key | Ö | Ö | Ö
Format the text style; add bullets / numbers | Ö | Ö | Ö
Just type in the note; or cut / copy / paste directly from web sites, e-mails, other applications | Ö | Ö | Ö
Copy note card(s) and paste contents directly in other applications | Ö | Ö | Ö
Set color for each note card | Ö | Ö | Ö
Associate your note card with a subject | Ö | Ö | Ö
Link a file or document to a note card | Ö | Ö | Ö
Link the note to many keywords – define your own subjects and keywords | Ö | Ö | Ö
Supporting cards –Keywords, Subjects | Ö | Ö | Ö
Search for specific note cards using keywords, subjects, dates or a combination of criteria | Ö | Ö | Ö
Mark a note with ‘push pin’ and retrieve it with one-click | Ö | Ö | Ö
Includes a starter card type - “Idea” | Ö | Ö | Ö
Type-ahead data entry fields - automatically complete entries from database | Ö | Ö | Ö
Personalize – set default colors, hot-keys, field values | Ö | Ö | Ö
Additional card types – “Paraphrase”, “Summary”, “Quotation” | Ö |  | Ö
Additional supporting cards - Sources, Authors, Publishers | Ö |  | Ö
Link note cards to sources, quotation authors | Ö |  | Ö
Write a ‘paper’ - organize note cards in a structure with headings and export a writing ‘project’ into a draft document | Ö |  | Ö
Additional card type – ‘Action’ |  | Ö | Ö
Additional card type – ‘Picture’ |  | Ö | Ö
Export a list of actions to MS Excel as an action register |  | Ö | Ö
Export note card visually and embed in presentation applications e.g. Visio, PowerPoint |  | Ö | Ö
Collaborate - Pack selected cards into a deck and export it to other ndxCards users. Import a deck from another user. | Ö | Ö | Ö
Additional custom card types – designed per specification |  |  | Ö
Your company logo. |  |  | Ö


ndxCards™ System Requirements

Minimum system requirements

  • Operating system: Win95/98/ME/NT4/2000/XP
  • Internet Explorer ver 5.0 and above

Note:
Older versions of Win95 and 98 should have been updated when IE5 (or later) were installed. ndxCards™ requires the operating system featuresmeetin (such as DCOM and DAO) that are part of the update. If you are not sure about your computer please contact support@ndxcards.com and we will answer your questions.


Using ndxCards™

Adding information to the repository

Finding the information

Using the information

Shortcuts, tips


Adding information

Adding information to the repository

Writing a quick note

Reminder notes

Picture note card

Summary, Paraphrase, Quotation cards

Special purpose cards

Supporting cards (keyword etc.)

Changing note color, Formatting text


ndxCards topic - Writing a quick note

Writing a quick note

Double click on the ndxCards icon in the tray.

A blank note card will appear. Type your note in the note area in the middle of the note, or cut from your source and paste it on the note. If you have a long note and want to see more of your note you can make the note larger: move the cursor to the bottom right corner of the card, and it will change to a sizing cursor; just left click and drag the size to the size you want.

Now, Tab to the keyword field and type in a keyword that will help you find the note later. If this is a keyword that you have used before, the field will be filled as you type. If it is a new keyword, the keyword card will appear. Fill in a description and save the keyword. The keyword is now part of the note card. You can add as many keywords to a note as you wish. For example, you may write notes during a telephone call and set a keyword for the topic of the call, and another for the name of the person called.

If you want to bring this note back in a hurry, click on the pushpin on the card.

Save the card by clicking on the Save button.

Note

  • You can change text styles or note color for a particular note. See how.
  • You can associate a file (document, picture, program ...) with the note. See how.
  • When you double click on the tray ndxCards icon, the blank note card is set to the default note type. The software is shipped with the default note type set as "Idea". You can change this default.
  • The subject in the blank note card will be set to the default subject. The software is shipped with the default as "General". You can change this default to the subject of our choice.
  • You can protect the note as read only, by toggling the lock icon. Please save the note first before 'locking' it. Note cards that you may have imported, and locked by another user cannot be unlocked by you.
Write a research note with a source card attached
Write a reminder note
Write an action note


Associating a file or document with a note

It is often useful to associate a file or document with a particular note. This could be a picture or a phot, the complete article in PDF format, the presentation that you have reminded yourself to update. ndxCards makes it easy to do so.

Each note comes with a place holder to associate with a document/file/folder, on the right side of the note card below the lock icon. Right click on this place holder and choose the file or folder that you want to associate with the note. An icon representing the chosen file is placed on the note. Save the note. When you bring the note up again up will see this icon. If you rest your mouse on the icon, the complete path for the file will be shown. You can double click on the icon to open the document or folder. So, when you see the remider to update the presentation, all you have to do is double click on the icon.

You can also drag a file from Windows explorer and drop it on to the place holder.

If you already have a document and need to change it, right click on the icon, remove it, and add a new one. You can also drap/drop a new file on top of this icon to change it.

  • Note: The document itself is not saved with the note - just the reference to it. So if you move or delete the document, ndxCards canot find it next time. However, it will show the icon with an X across it to indicate that it did not find the file. When you pack and export notecards with document reference to share with others, the document is not included. Thus, if the reference is to a document in your computer, it will not be meaningful to the recipient - however, if the reference is to a common shared networked document in a shared folder, the reference will be useful.


Reminder note card

A reminder note card is just a basic idea card with a reminder time stamp attached to it. You enter it just like a regular note card, but will need to set the date / time when you want to be reminded. The default value for the due date is one day from when you enter the note.

You can use it to remember birthdays, or when your driver's license is up for renewal, or to check on a project status, or to ... (fill in your need)

The card includes a check-box which you can use to indicate that you have attended to the matter that you wanted to be reminded about. When checked this way, the reminder is cancelled - you will not be reminded, and the notes list will show this card with a check mark on the reminder icon.


ndxCards Writing a Summary / Paraphrase / Quote

How to write a note - Summary / Paraphrase / Quote

Double click on the ndxCards icon in the tray.

A blank notecard will appear. Using the pulldown menu for the note type choose the note type you wish - Paraphrase, Reference, Summary.(Customized cards or special purpose cards are included in the pull down list of values for some customers).

Type your note, or cut from your source and paste it on the note. Tab to the keyword field and type in a keyword that will help you find the note later. If this is a keyword that you have used before, the field will be filled as you type. If it is a new keyword, the keyword card will appear. Fill in a description and save the keyword. The keyword is now part of the note card. . You can also click on the Keyword button to get a list of all the keywords from which you can select the keyword you wish to add.

You can add as many keywords to a note as you wish. The keywords appear on the box below in a tabular form. If you need to remove a keyword, just double click on it - and it is removed from the note Enter the source name in the source field. Use the name of the article or book that is the source. If this is a new source, a source card will appear. Complete the source information and save it. You are now back in the note card with the source field properly completed. (You will see the source ID number filled beside the name of the source.) Fill in the page number field.

Save the card by clicking on the Save button. The card is put away.

If this is Quotation card, you will also get a box to enter the name of the author of the quotation. Again, if it is a new author to you, you fill out an author card.

Write a quick note


Action note card

Professional version includes note cards with note type 'Action'. Action note cards have additional fields - Priority, Assigned to and Due date. You enter the note, keywords and then the addtional fields. The default value for Due date is one day from when you enter the note.

Action cards are a useful collaboration tool. You can collect action cards assigned to an individual and send them those cards. You can also highlight these cards in the notes list and create an action register in Excel. Learn more..


Picture note card

A picture note card lets you associate a picture with the note card. Below the place where you enter the keyword information, a space is made for the pictures. Right click on this space to select a picture in your computer. ndxCards does not make a copy of a picture already in your computer - it just remebers the location.

You can also paste an image that you have copied from a web page (or a camera ..). Copy the picture and choose Edit/Paste from the menu you get by clicking on the icon at the top left of the card (or use the keyboard short cut Ctrl + V). When you attach an image to the picture card this way, ndxCards stores the image in a folder called 'pictures' where ndxCArds data is stored.

If you move or delete the file where the picture is stored, ndsCards will not be able to show it the next time you open the picture card.

When you print the picture card, only the title and picture are printed - not the annotated text. When you include a picture card in a project and export it for a document, only the text is included not the picture. When the card is included in a presentation as images, the card is shown with the picture, not the title.


ndxCards - Special purpose cards

Custom cards or Special purpose cards

Your version of ndxCards™ may ship with some special card types. For instance,
  • A sales organization has card types that allow them to capture notes about a problem or opportunity, and about decision-makers. These cards are then used to map out relationships, which lead to sales plans.
  • An IT professional uses systems analysis cards. These cards can be part of flow chart or mind-maps which are used in problem solving and solution design.
These cards are also entered the same way. Just change the card type from the pull down menu (if you use a certain card type repeatedly, you can set that to be the default card type), fill the information and save. The custom cards will have additional data fields to capture information particular to that card type.

Subjects and keywords are relevant to all types of cards. Other fields are unique to each type of card.


Note card menu: Changing note color, Formatting, etc.

Note card menu

Right clicking on the note card in the area where you type the note brings up the menu shown.

Formatting text: ndxCards™ allows you to emphasize portions of your note by making the text bold, underlined, etc. You can also change the font. The changes apply to any text you have selected, or if no text is seleted, they apply from the point of text entry.

ndxCards™ is not intended to be a word processor. The formatting choices provide enough flexibility to emphasize parts of your notes the way you want it. All of this formatting is preserved when you copy the notes on to a word processing program such as MSWord.

Send: You can send the contents of the note by e-mail. If you have a default e-mail configured for you, this e-mail program is brought up, with the contents of the note already pasted into the body of the e-mail. Just type in the address(es) and send the e-mail.

Change color: You can change the color of the note. The color you choose here only applies to this note, and is stored as part of the note.

Auto Keyword: ndxCards remembers the most recently used keywords. This command scans the note text for the most recently used keywords and automatically adds those keywords. You can also use the short cut key stroke Ctrl+K to automatically add keywords.
Please note, only the most recently used keywords are added this way. You may still want to add other keywords.
If you want this feature turned on all the time so that keywords are added automatically, you can set this as your preference (Main Menu/Properties). You can also clear the most recently used to start a fresh list. See..

Save: Works the same way as the Save button on the card. You can use the keyboard short cut Ctrl+S. If you have a pinned note card, using Ctrl+S does not put the card away. This way , you can save and continue writing on the note card.


Supporting cards

Keywords

Subjects

Authors

Sources

Publishers


Keyword cards

Keywords

You can use keywords to quickly find your note card again. A keyword is any word or phrase that you wish to be associated with a note. They can be subject topics, names, and code words; basically anything that will help you organize your notes and find them later. Be consistent when you use keywords, paying attention to spaces and spellings. ndxCards™ makes it easy for you to enter keywords by auto filling as you type.

You can enter keywords by selecting the keyword card from the menu. You will also be presented with a keyword card if you entered a new keyword in another note card. Fill in any description if you choose and save the card.


ndxCards™ topic - Subjects

Subjects

Subjects are major headings or topics to help you organize your notes. Each note is associated with one subject (and must be associated with one subject). The software comes setup with a default subject of "General" to help you get started.

You enter subjects by selecting the subject card from the menu. You will also be presented with a subject card if you entered a new subject in a note card. Fill in a description for the subject and save the card.

Keywords also help organize your notes. You can add as many keywords to a note as you wish, and thus you may wish to just use the default 'General' subject. However, using an appropriate subject allows for further refinement in how you keep your note cards organized. Also, the subject appears in the visual image of the note-card when you paste it in visually such as in PowerPoint or Visio, where keywords do not.


ndxCards™ topic - Sources

Sources

The Source Card is where you store information about the source of your notes on a note card. The card supports information multiple types of sources.

Enter all the relevant information that will allow you to find the source again, and cite the reference properly, should you need to do so.

You can enter a new source by selecting the source card from the menu. You will also be presented with a source card, if you entered a new source in a note card.

Note

  • The ndxCards software assigns an ID to each source card, recognizing that there may be more than one source with the same title. Please double check to make sure that you are not duplicating information.


Author card

Authors

The author card allows you to attribute the source of your note to the proper person. Enter the name of the author, and other useful information that allows you to use this information in any citation. Also you can add any comments or notes on the author.

You can enter a new author by selecting the author card from the menu. You will also be presented with an author card, if you entered a new author in a note card, or a source card.

Note

  • The ndxCards software assigns an ID to each author, recognizing that there may be more than one author with the same name. Please double check to make sure that you are not duplicating information.


ndxCards™ topic - Publisher

Publishers

ndxCards™ is designed for easy entry of information and uses the publisher card to save information on publishers that may apply to several of your sources. You keep information on a publisher once - and it is automatically applied to all the books (magazines etc.) from that publisher. Complete citation information is produced when you use the note cards in your paper based on information on what you have in source card and publisher card.

You will use the publisher's name in your source card. If you enter the name of a new publisher in a source card, you will be presented with a publisher card to enter the information.


Finding Information

Retrieving pinned note cards

Using filters to select note cards

Notes list


ndxCards™ - Retrieval-Pinned

Retrieving Pinned notes

When you write a note card and save it, it is put away in the card file. You retrieve the note later by selecting the card from the list of all the notes (Note-list card) and double-clicking the item in the list. .

You can tag note cards for quick retrieval. You do this using the pushpin icon on the note card. Notes that are tagged this way can quickly be brought back to the desktop via the main menu (You get the menu by right clicking on the tray icon for ndxCards™). You can also use the hotkey for pinned cards.


Using filters to select note cards

ndxCards™ makes it easy for you to find the set of cards you are interested in at a particular time, by using filters. You specify the criteria at the top of the Notes List card and apply the filter button. You can find cards based on keywords, card types, subjects, data ranges; or use a combination of selection criteria to find your cards. Just use the pull down menu to choose the criterion.

As keywords are the most common way to find note cards, it is the default filter criterion. Just type the keyword you are interested in the box, and auto-fill helps you complete the keyword (please note - you cannot add keywords here - you can only enter keywords already in your knowledge store, as you are finding notes previously entered). Tab past the field and the keyword now appears as one of the criteria. Add as many keywords as you want. Once you have the keywords you are interested in, click on the "Apply Filter" button. The list of notes shown below will include only those notes with the keywords specified. Note that you can select note cards with any of the keywords, or only those that have all of the keywords.

You can build more complex selection criteria a step at a time. For instance, if you are interested in notes you took with the subject "strategic planning" in the first three months, you can build the filter by first selecting 'Date between' from the drop down list and typing in the dates. When you tab past the fields, the criterion is added in the box below. Now pull down 'Subject' from the list, and start type in "strategic planning" (auto-fill will help you complete it). Again when you tab past the field, the filter criterion is added. Now just press the 'Apply Filter' button, and only those notes that meet the criteria are listed. You can combine keyword criteria and other criteria to build a selection list of interest. Of course, if you build too complex a list there may not be any cards that match your selection criteria.


ndxCards™ NoteList

The ndxCards™ Notes List

The notes list is an important interface in ndxCards™. It shows you a list of all your notes, with the most recent items appearing at the top. You use this list to find the note or notes that you are interested in, and to prepare the notes for subsequent use.

Finding notes:

You can of course scroll down the list of notes to find the one you are interested in. You can then bring up a note by double clicking the item on the list. You can also highlight several notes (use the Shift key to highlight several notes in a row, or use the Ctrl key while clicking on the notes of interest in the list) and press the Show Cards button to show all the selected note cards.
As the number of notes becomes large however, this is not always the most efficient approach. You will use selection criteria (see 'filters') and filter the list to find the subset of notes that are of interest to you.

Popup menu:

When you right click on the list of notes, you get a pop-up menu that gives you further choices. You can Copy, Delete, etc

Open notes:

Just highlight the notes of interest, and choose 'Open notecard' from the menu. Up to fifteen cards can be opened. To open one note, just double click on the note in the list.

Clone a note:

You can make a duplicate of a note card and open it for editing. This is especially useful, if you have a note card that you want to use as a master, and create duplicates which you can edit for particular situations. For instance, you can have a checklist for items you typically take on a trip. Create a clone for one trip, and add or remove things particular to that trip. You can use this list to tick off completed items, while the master is still as it was originally.

Printing notes:

You can print multiple notes at a time. Just highlight the notes of interest, click on the icon in the top left corner of the Notes List card to bring up the menu, and choose 'Print Note cards'. Up to three cards will be printed on each page. You can also print cards on special perforated card stock for 3x5 or 4x6 cards.

If you want to print the list of notes, use the 'Print' command from the menu which you get when you click on the icon at the top left of the Notes list. You can also use the shortcut key 'Ctl+P' to print the list of notes. If you have used any filter criteria to select notes, 'Print' will print the reduced list.

Copying notes:
Once you select a note or a group of notes that are of interest, you can copy them for use in other applications. Copying just one note, allows you to paste just the content of the note or the whole note card as an ndxCards™ document. Copying several notes copies the contents of the cards in formats best suited for pasting in other applications. When pasted in PowerPoint, the cards are inserted as images. When pasted in MSWord (or other word processing programs) the contents are pasted as formatted text. In Excel, when you use "Edit/Paste Special" command and choose "csv", the contents of the notes are pasted in column format - in particular, pasting Action cards this way creates an action register.
Deleting a note card:
Highlight a note card that you want removed from your database, and press the delete key. You will be asked to confirm the deletion before the note card is removed from the database. If you have used the note card as part of a writing project, you will be informed of this. You can only delete one note card at a time. If the note card is used in a project, you will be reminded of this.
Sending note contents by e-mail:
Just highlight the note or notes whose contents you want to send in an e-mail. When you select the menu choice 'Send', your e-mail program is brought up with the contents already pasted in the body of the message. Just type in the address(es), e-mail subject and send your mail. If you want to send a set of cards as complete ndxCards™, export a deck of cards (see below) into a file, and attach that file in an e-mail.
Exporting a deck of cards:
You can 'pack' a set of cards to send to another person with ndxCards™. Just highlight the cards you want packed and select the menu choice. All the note cards and the supporting cards - keywords, subjects, etc. - will be copied and packed into a file. This file can be sent to another person with ndxCards™ software, who can Import the deck of cards into their database.
Importing a deck of cards:
A card file packed by another ndxCards™ user can be imported into your database. If there is potential for duplicates the following logic is used: keywords, subjects and publishers with the same name are not added to the database. Duplicate authors, sources and note cards will likely be added. You need to review possible duplicates and remove them manually.
Creating a PowerPoint slide:
If you have MS PowerPoint installed, you can quickly create a PowerPoint slide with selected notes dropped in the slide. Just highlight the notes in the Notes List and choose 'PowerPoint slide' from the menu.
Inserting notes into a MS Word document:
If you have MS Word installed, you can easily insert selected notes into an open document at the current point of insertion. Just highlight the notes in the Notes List and choose 'Insert into Word' from the menu. If this is a Sumary / Quotation / Paraphrase card with valid Source information, and your default selection is to include source information while copying notes (see setting citation preferences), the formatted note text will pasted in the Word document, along with EndNote reference data about the source.


Using the Information

You have jotted down information, taken notes, collected recipes - and have a 'knowledge base'. You know to find the notes - using filters. Now you want to do more.
ndxCards™ recognizes that often you want to do something with that note or notes. The software is designed to make that easy by taking advantage or the standard 'office' software that you already have on your computer.

Using note contents

Contents of one or more notes can directly be pasted into a word processing, spreadsheet or presentation program. Just highlight a set of note cards from the notes list and copy/paste the contents - you can do this as a set without opening each note card.
If you have MS Word installed, you can insert note contents directly in the Word document you are working on.

Using note cards visually

Note cards can be pasted on to a PowerPoint or Visio document as a picture. These cards can be organized and analyzed visually, drawing links between the cards and inferring relationships. When pasted this way, an ndxCards™ note card is an 'object' recognized by such programs as having a visual representation and a link to the original note card. The format of the embedded 'ndxCard Objects' can be changed - shape, fill & line color, font etc.

Preparing draft documents

You can structure and organize a set of note cards into a 'project'. Projects are a way for you to group related note cards, and remember the relationships. There is a simple way to arrange the information in an outline format in a project. This project can function as an outline for writing a paper, a visual model for a PowerPoint presentation, a system of allocating responsibility in group work, and so forth.


Structuring a project

You can use your notes in other contexts by creating projects based on notes you select from those you have taken in ndxCards™. The software lets you define a 'project', which provides a structure in which to organize your notes. You then export it into a draft document that can be edited in a word processing software such as those in MS Office or Lotus suite. The project can then be printed or used for PowerPoint presentations or for communicating project structures in group collaborations.

When you select New Project from the main menu, you are presented with a project properties window. Select the project settings.

Once you select the project title, description and type, you are presented with a blank project window. You are now ready to create an outline of the project and 'drop' notes into this outline.

Outlining

Quick typing

You can quickly create an outline by turning on the typing mode. Choose Outline / Quick typing from the menu. You can also click on the toolbar icon that looks like a keyboard, or choose Quick typing from the menu you see by right clicking on the outline window.

Once in the quick typing mode, type each item in the outline directly. When you complete an item, hit the Enter key. You can now type the next item at the same level in the outline as kierarchy. If you start the item with the Tab key, the outline is indented to be the child of the previous item. If you enter the key combination Shift+Tab at the beginning, the item is shifted left to be at one level hihger in the structure. If you hit the Enter key in an empty line, the Typing mode is cancelled. This way, you can quickly create an outline.

Inserting new items

At any point in the outline, you can add a new item before, after or as a child of the selected item. Just choose Insert, Insert child or Insert After from the Outline menu, or the pop-up menu.

Deleting items

Select the item or items that you want deleted and Choose Delete from the menu, or press the Delete key.

Expanding or collapsing a node

There is an arrow to the left of each item in the outline. When the item is shown completely with its child items, this arrow is pointed downard. Click on this arrow and the item is collapsed so that all the child items are hidden. When the item is collapsed, the arrow points to the right, indicating that there is information hidden.
If the item is a note, then collapsing shows only the title.
If the item has no children and is not a note, the arrow is always pointed downward.

Re-structuring the outline

You can easily restructure the outline. You have menu choices, as well as toolbar buttons to do this.
  • You can move an item Up or Down in the same level.
  • You can move selected items left to be at the same level as their parent (promote it), or right to be children of the previous item(demote it).
  • You can cut/Copy an item and Paste it in a different place in the outline.
  • You can highlight items and drag them to a new place in the outline.
Please see the sections below for limitations on restructuring when you select more than one item.

    Note: The software enforces constraints on the project structure based on the type of project. For instance, if the project is to export PowerPoint slides all the items at the left most part of the outline are slides.

Selecting items

Clicking on an item selects the item. Selected items are shown highlighted. You select an item to insert new items next to it, to delete it, to move it etc..
You can select more than item at a time. When you use the Shift key while clicking on items, contiguous items are selected. If you use the Control key while clicking on items, individual items are selected. When you select multiple items, if any of the items have child items, all the child items will be selected as well.

Contiguous .vs. Non-Contiguous selection

ndxCards treats contiguous and non-contiguous items differently when it comes to restructuring.You can promote or demote contiguous items. You can Copy or Cut these items to be Pasted elsewhere, and the relative structure among the selected items will be kept intact. You can drag / drop the items and the structure will be kept intact.

On the other hand, when you select items that are not contiguous, you can only cut/copy them as a list of items and the relative outline structure among the items will be lost. You will also not be able to promote or demote those items.

Inserting notes

Once you have a starting outline, you can copy notes from the Notes List and paste them at the appropriate place. You can also drag drop the notes from the Notes List to the Project window.

Please note that while the note text shown in the project window appears without any of the special formatting you may have in the note card, the exported Rich Text File for the project will include the formatting.

Rremember that the project is nothing more than an organized set of your note cards. If you update your note by editing it, the changes will be reflected in the project when you open it next time. If you delete a note, the project will not be able to find it later, and will include an error message instead of the note.

Opening and Editing a note

You can open a note card for editing directly from the outline. Just double click on a note item and the note card is opened for you to see it. If you make changes and save the note, the changes will be reflected in the outline.

If you double click on an item that is not a note (nor is it a slide or a left most heading), then a new note card is opened, with the text from the item as the starting point. You can add to the note text, add keywords (change note type, change subject etc.) and save the note. This allows you to go from the outline to notes, or notes to the outline as you wish. When you do this more than once in a project, the software will use the note type and subject you used for the prvious such note as the starting point.


Project Settings

When you select New Project from the main menu, you are presented with a project properties window. Enter the title of the project and a brief description. The type of project (whether you want to write a paper or prepare a presentation) is already set based on the chosen defaults set in the Main Menu/Properties. Press the 'Change Properties' button to change the settings.

Writing projects

If it is a writing project, you can choose to export the results directly into MS Word, or as Rich Text. If you would like the source information included check that box. When you export into MS Word, the references information will be included with appropriate end-note marks. When you choose a writing project, a second tab named References will appear. Select that tab to specify formatting information for reference citations. This tab too will prefilled with the default choices (made from the Main menu/Properties).
You can specify APA, MLA or Chicago style for the endnotes that will appear when you export it as a Word document. You can also choose to include reference text (if any) that will appear in line.

Presentation projects

If it is a presentation project, the note cards can be included as embedded objects with the default shape settings , or as text bullets. When exported as a presentation with text bullets, the note titles will appear as bullets, and the note text will be included the Notes section of each title.

No output specified

Choose this setting when you just want to relate notes to each other in an outline structure. This is another way to organize and group notes.


Writing papers with ndxCards - Project

Creating projects

You can get a jump-start on writing a paper (a report, a proposal etc.) based on the notes you have taken in ndxCards™. The software lets you define a 'project', which provides a structure for you to organize your notes. You then export into a draft document that can be edited in a word processing software such as those in MS Office or Lotus suite.

Select New Project from the main menu and you are presented with a project properties window. Enter the title of the paper and choose 'Output for a writing project' for the type of project, and select other options. You are now ready to create an outline of the paper - See Structuring a project

Exporting paper to a word processor

Once you have the paper the way you want it, just choose 'Export' from the project menu, and the paper will be saved in Rich Text format or MS Word - the headings, the note contents and references per your settings. You can now edit and complete your paper.


Presentation

Making a PowerPoint Presentation

Creating projects

The notes you have taken in ndxCards™ can be organized in a tree structure into a PowerPoint slide.

Select New Project from the main menu and you are presented with a project properties window. Enter the title of the presentation and choose whether you want the note cards as embedded images, or bulletted text for the type of project (see Project settings). You are now ready to create an outline of the presentation - See Structuring a project

Exporting to PowerPoint

Once you have the outline the way you want it, just choose 'Export' from the project menu, and the structure will be converted into a PowerPoint presentation - the slide headings and the notes. You can now 'finish' your presentation with any annotations and changes.


Format embedded ndxCards object

You can embed ndxCard objects in PowerPoint or Visio as visual objects (You can do this in many ways:- drag/drop or copy/paste from notes list, use NotesList menu, or use a Presentation project).

Each note card is represented as simple shape with the note title inside the shape. This shape is an ndxCard object and when you right click on the object in PowerPoint (or Visio ..), you a see a menu where one of the choices is 'ndxCrd Object'. Selecting this brings a submenu with Edit, Open or Format. Edit or Open opens the underlying ndxCard note card. You can see the complete note and make any changes. Selecting Format allows you to change the shape, color of font for the selected embedded ndxCard note card.

When you choose Format, you see a dialog where you can change the shape, fill color, line color, font etc. A preview of the shape is shown, and pressing OK changes the embedded card in PowerPoint (or Visio etc.). This change only applies to the selected shape, and if the PowerPont document is saved, the change is retained. You can also change the shape properties when ndxCards note cards are initially embedded, by changing the defaults from the Properties choice in the Main menu.

Note that the shape properties for embedded ndxCards objects are changed by ndxCards, and not by the way PowerPoint shapes are edited using PowerPoint's Format commands.


Printing note cards

You can print note cards from two places - from the note, and from the notes list.

When you have any note card open, clicking on the icon at the top left brings down a menu which has a Print choice. This prints just that note card.

You can also print notes from the Notes list, where you can print one or more cards. Just select the notes you want printed, right click to get the menu, and choose Print. All the selected note cards will be printed, one after another.

You may also see the menu choice "Print backside". This choice will appear if you have selected flash cards or picture cards which contain information that can be printed on two sides.

(Please note: When you bring down the menu from the top left corner of the Notes List, you will see a Print command. This prints the list of notes currently in the Notes list)

Printer and page Settings

When you choose the print command you will see a dialog where you can set the printer and page settings.

Printer an paper selection: Make sure that the desired printer is selected. The name of the currently selected printer will be shown at the top left of the dialog. Use the Printer button to change the printer.

You can print the cards on plain paper, card stock, special card stock with perforations for index cards (ndxCards supports printing 3"x5" cards on Avery 5388, 8388, or 4"6" cards on Avery 5389, 8389 or equivalent directly). Select the paper size from the drop down list. The choices available will be based on what the selected printer can support. If the printer can support custom paper size, please set the printer properties before you select the paper size from the list. ndxCards gets the paper size information from the printer settings.

Printing using standard layout

Make sure that the check box "Use layout below" is not checked. The software will use the information on the left side of the dialog.

If you select one of the Avery forms, the software will print multiple cards per the selected form. If you select any other paper, the software will print one or more cards per page depending on the size of the paper and the card contents, up to the maximum size of the page less margins.

Printing using custom layout

Make sure that the check box "Use layout below" is checked. The software will use the information on the right side of the dialog.

You can specify the number of cards, the card size and the arrangement on the page when you choose custom layout. Make sure that you have chosen the correct paper size first.

Specify the number of cards across & down and all the distances and sizes. The measurements will be in inches or millimeters based on your windows locale settings. The figure below shows the measurements needed.


Tips, shortcuts

ndxCards™ is designed with ease of use in mind and has many built-in short cuts.

Auto-fill: Most of the data entry fields are auto-fill. As you start typing (e.g. a keyword, or an author name) the field fills with a complete word/phrase/name from the database. If it is the one you want, just hit the Tab key to move on to the next field. If there are a few items that could match what you typed, then a drop down box appears with the possible selections. Just choose one and continue.

Getting a new note card: There are a number of ways to start a new note card.

  • Double clicking on the ndxCards™ icon in the system tray on your Windows desktop.
  • Right-clicking on the ndxCards™ icon in the system tray and selecting 'New Note card' from the menu.
  • Selecting 'New Note card' from the card menu when you are in any of the ndxCards™ cards.
  • Pressing the 'Ctl+N' on the keyboard when you are in any of the ndxCards™ cards. (Similarly, pressing Ctl+L will bring up the Notes List).
  • Using the Hotkey for new note - see below.
  • You can also set your preference to automatically get a new blank note card when you save one that you just wrote.

Default values: New note cards open up with the subject and note type preset based on the default settings. If you will be entering notes for a given subject or a note type, you can set default values so that you can start entering notes right away.

Hotkey for new note: You can start a note with the contents of the clipboard using a hotkey. (Clipboard is where Windows temporarily stores anything you copy from another application such as a word processor or a web browser). When you wish to copy a part of a document or website and save it as a note, copy the text into clipboard (usually Edit-Copy, or Ctrl+C), then just press this key combination. A new note card of the default type is brought up and the contents of the clipboard already pasted in the note. Just type in the keywords and store the card.
The software is shipped with this hotkey defined as Alt+Ctrl+F5. (You can change it to another key if you wish).If there is nothing in the clipboard that can be copied on to the note, you will get a blank note card.

Pinned Notes: When you want to bring up note cards quickly, you 'pin' them using the pushpin icon on the note card before you save them. There is a hotkey (Alt + F4 as shipped) combination to bring up all the pinned notes. This is the same as the menu choice "Show pinned cards" in the main menu.

Hotkey for the notes list: When you are looking for a note, you start with the notes list. You can bring up the notes list using a hot key. The software is shipped (Alt + F6) as the short cut key.

Bringing the last note card to the top: You can decide whether any of the cards in ndxCards™ appear on the Windows taskbar. (This is the bar at the bottom of your Windows desktop). When the cards are not seen on the taskbar, the standard way of bringing any Windows application to the top (using the Alt +Tab key) will not work. In this case, you can use the key combination Alt+F5, (or another of your choosing) to bring the last note card to the top.

Protecting your note: You can protect the note as 'read only', by toggling the lock icon. Please save the note first before locking it. When the note is locked the 'Save' button is not visible. So even if you make changes to the note, you can only save it by first unlocking it. Note cards that you may have imported, and locked by another user cannot be unlocked by you.

Automatic keyword generation: The software keeps track of the most recently used keywords. You can have the software scan the note text for these words or phrases and add those to keyword list. If you are taking a series of notes that are related, this feature will make taking notes quicker.


Data Security, maintenance

Protecting the data store with a password

Backing up the data store

Restoring the data store from a backup


Protecting the data store with a password

ndxCards is designed to be your personal data store. The first time ndxCards is run, it uses your log-on name for Windows (or the network) to identify you as the data-store owner. Subsequently, it uses this information to assure that only you have access to the data store.
When only one person uses the computer, this data security is transparent. However, when the computer is shared by multiple users, you can turn the password feature on, and ndxCards will not allow access to the data store by a person other than the owner, without the use of password.

Setting or changing the password: Choose 'Properties' from the main menu and select the 'ndxCards Settings' on the left side. Click on the 'Set Password' button. Enter the new password twice and press the OK button. The new password is in effect. If you want to share your data store with another person who shares the computer (your spouse for instance), they need to enter this password when ndxCards is started. Please make sure that the box 'Enable Password feature' is checked. Leaving this box unchedked means that other users of the computer will be able to access your notes.

Note:
Windows NT, Windows 2000 and Windows XP require a log-on, and keep separate startup and program folders for each user. However, Windows 95/98/me do not require log-on though they support it. It is recommended that you log-on with a user name/password to take advantage of the security feature in ndxCards. Also, please note that the password that you use for ndxCards is separate from the the password for Windows.


Backup the ndxCards data store

It is strongly recommended that you periodically backup the ndxCards data store.

Choose Backup from the main menu. You will be presented with a window to choose a backup location. Choose a location and click OK. If possible, choose a hard disk other than where you have the ndxCards data store, or a removable media such as a writable CD. If you are backing up to a location where you have an older backup file, you will be asked if you want to over write the backup files.


Restoring ndxCards data store from a backup

You can restore the ndxCards data store from a backup copy. You may want to do this if you have deleted many note cards or made other changes that you want undone. Please remember that the restore operation replaces your current data store with a backup copy, and all the changes you have made since the backup, including any new note cards that you added will be lost.

Choose Restore from the main menu. You will be presented with a dialog where you can select the location of the backup file 'ndxCardsBkup.nxb'.

After you select your backup file, you will be asked confirming messages if you want to copy the file over an existing file. If you answer yes, the ndxCards data store will be restored.


Personalizing ndxCards

Personalizing ndxCard

You can personalize the appearance and behavior of the ndxCards™. Choose 'Properties' from the main menu and you will be presented with a screen where you can set your preferences.

You can choose default values for Note type, Source type and Subject.
You can set the default color for all your cards. (You can change the color for any particular note card from the menu in the note card, but all the other cards - keyword, author etc. will be the color selected here).

You can choose whether you want to see the cards you open in the Windows Task bar (the band at the bottom of your screen), whether the note card should try and recognize an url (a world wide web address) typed in the note, and where a new note should appear on the screen.

ndxCards™ has four shortcut 'hotkeys' - that have default values. You can change the shortcut keys.


Default note types

Choosing default note card values

ndxCards™ is designed to help you write a quick note. A blank note card has pre-filled values the card type and subject based on default values. If you will be using a particular note type frequently, or taking a series of notes on a particular subject, you can set the default values so that you can quickly begin entering notes.

Bring up the screen to personalize ndxCards™ by choosing 'Properties' from the main menu. Choose 'Defaults' on the left pane to see the settings. There are three pull down windows to select default values for Note type, Subject, and Source card type. Use these to set the values of your choice, and press the apply button. These choices will be used till you change them again.


Default card color

Choosing default card color

You can set the color of the cards in the software for all new note cards, and for the supporting cards such as the Keyword card or the Notes List. You can also change the color of any individual note card. If Changing the color here does not change the color of saved note cards.

You can also set:

  • where a new note should appear on the screen,
  • whether you want to see the cards you open in the Windows Task bar (the band at the bottom of your Windows desktop),
  • and whether you would like to see a scrollbar in the note card (you can view long notes without a scrollbar by using up/down arrow keys, PgUp/PgDn keys and the scroll wheel of the mouse).

Bring up the screen to personalize ndxCards™ by choosing 'Properties' from the main menu. Choose 'Appearance'in the left hand pane to bring up the choices. Press the Card color button and a window opens up for you to choose colors. Check other boxes as you wish. Press the Apply button and the change is effective for all new cards that you open.

When you select the card color, the software automatically selects a corresponding text color. This text color is used in displaying cards and not saved as part of the note card information.

Lighter card colors are easier to read.


Default font

Seeting a default font for the note card

You can set your choice of fonts for the default to be used when taking notes. Once you set this, all future note cards will use this font. You can still change the font of some or all of the text in any note, by changing the font in the note menu.

Bring up the Properties window by choosing 'Properties' from the main menu. Select 'Appearance' from the left pane. You will see the name and size of the current default font. Clicking on the 'Font' button brings up a dialog where you can choose from among the fonts installed in your computer. Once you change the font, press the apply button.


Choosing default card location

Choosing default card features

You can change some of the default behaviors of ndxCards™. You can choose

  • whether the note card should try and recognize an url (a world wide web address) typed in the note,
  • whether you would always like to see the notes tool bar (with formatting buttons) above each note.
  • whether you would like the program to suppress edit-checking and ignore missing fields.
  • whether you would like a new blank note card to appear as soon as you save the current one.

    • Bring up the screen to personalize ndxCards™ by choosing 'Properties' from the main menu. Just check the appropriate box and press the Apply button. Your changes will be effective for all the note cards yu open hence. If you want the changes to be effective in the cards you have open, close those cards and open them again.


Changing short cut keys

You can change the keystrokes associated with the four short cut 'hotkeys'.

Bring up the screen to personalize ndxCards™ by choosing 'Properties' from the main menu. Select 'ndxCards Settings' in the left pane. The keystroke associated with the short cut keys are shown. Just click in the space for the short cut you wish to change and type in the new key combination. Click 'Apply' after you are done. The new short cuts are now in effect.


Menus

Main menu

Notes List menu

Note card menu


Main Menu Commands

When you right click on the ndxCards icon in the tray on the desktop, the main menu is shown. The commands on the menu are fairly obvious and are as follows:

Commands

  • Exit

    Closes all open note cards and exits the application. The tray icon is removed. You need to run the application again (Start --> Programs --> ndxCards ..) before you can add any notes. It is suggested that you include ndxCards in your startup, and it will always be available.

  • Put away all cards

    Closes all open note cards. Pinned and un-pinned note cards as put away.

  • Show pinned cards

    Opens all the cards that had the push pin down. Use this feature to bring up notes that you want readily available.

  • Source List

    Brings up the Source List.

  • Notes List

    Brings up the Notes List. Use this list to find specific notes.

  • New Note card

    Opens up a blank card. The type and default values are based on current preferences. You can also get the blank card by double clicking on the tray icon.

  • Author

    Brings up the Author card.

  • Keywords

    Brings up the Keywords card.

  • Publishers

    Brings up the Publishers card.

  • Source

    Brings up the Source card.

  • Subject

    Brings up the Subject card.

  • Open Project / New Project

    Opens an existing ndxCard project file, or a blank project file. A project file helps you organize notes into a draft paper that you can edit using your word processor. Learn more.

  • Properties

    Opens the properties window where you can personalize ndxCards such as setting card color and default values.

  • Help

    Brings up this help document.

  • About ndxCards

    Gives you version and license information of the ndxCards software.


Additional Information

You can get additional information on ndxCards at www.ndxcards.com.

About TruTamil LLC

Technical Support


TruTamil LLC

About TruTamil LLC

www.trutamil.com

ndxCards™ is published by TruTamil LLC based in Scottsdale, AZ USA.

The company's mission is to help organizations in their path towards excellence. We offer products and services that increase individual productivity, and improve organizational change management.

ndxCards™ is a premier product which will help professionals harness the information and knowledge they acquire on a daily basis, and allow them to collaborate easily.

Raja Seshadri, founder and president, has nearly 30 years experience, 20 of which were in a Fortune 500 company holding leadership positions in information technology and operations management. He has helped large and small organizations improve their productivity and quality, and taught numerous courses helping individuals work smarter and collaborate better. All of this experience is reflected in the products and services offered by TruTamil.


How to get technical support

Technical Support

All licensed ndxCards™ users are entitled to technical support, should the need arise. Please contact us by e-mail at support@ndxCards.com. We strive to meet a 24 hour response time.

User community

An on-line forum is planned for August 2004. Join the online forum: http://www.ndxCards.com/support

Feedback

If you have any comments or concerns about the software please direct them to support@ndxCards.com. Your feedback is important to us in order to make this software a better product for you. ndxCards's features have been strongly influenced by user comments.

Help file for version 1.91


Using ndxCards visually

Dropping note cards in PowerPoint

Using your note card from ndxCards™ is easy. Just select the note you want in the Notes List and copy using the menu 'Copy' (or Ctrl+C). Move on to the open PowerPoint document and 'Paste' it (Ctrl+V). An image representing the note card is now on the MS PowerPoint slide. You can incorporate that image as part of your slide. You can also drag-drop a note from the Notes List onto a PowerPoint slide.

Note that the image of the card is more than a picture. The menus show that you can open this card and see / edit all the details. You can also get the card just by double clicking on the image. You can only copy one note at a time if you want to paste an image.
Please note: When you copy a set of notes, only the content is copied. If you want to drop several note cards onto a PowerPoint slide, just highlight the notes in the Notes List and choose 'PowerPoint slide' from the menu (which you get by clicking the right mouse button).

Dropping note cards in Visio, Microsoft Word

When you copy a note from ndxCards™ and user 'Paste' (or Ctrl+V) in applications such as MSWord, Visio or Excel, the text of the note will be pasted rather than the image. Use 'Paste Special' from the Edit menu and choose NdxCrd Document Object. The image of the card is pasted in the MSWord document (or Visio, or Excel) and this image will be linked to the ndxCards™ application.